ͻ
 Befehlsbersicht:  Standard-Befehle                            
Ķ
 Befehlsname  Funktion                                         
Ķ
 lauf         Ausfhren eines Interpreterprogramms im Speicher 
 drucke       Ausgabe von Text oder Werten auf dem Terminal    
 setze        Zuweisen eines Wertes an eine Variable           
 wenn         Bedingte Programmausfhrung (siehe unten)        
 gehezu       Programm an anderer Stelle fortfhren            
 ende         Ende eines Interpreterprogramms                  
 merke        Kommentar                                        
 liste        Auflisten des Interpreterprogramms               
 neu          Programm im Speicher lschen                     
 lade         Laden eines TXL-Quelltexts                       
 speichere    Speichern eines TXL-Quelltexts (ASCII-Format)    
 verlasse     Verlassen des Interpreters                       
 info         Aktuelle Versionsnummer von TXL                  
< weiter >ͼ
|
ͻ
 Befehlsbersicht:  Neue-Befehle                                
Ķ
 Befehlsname  Funktion                                         
Ķ
 hilfe        Hilfe am Bildschirm anzeigen                     
 dos          Startet ein Dos-Programm oder Dos-Shell          
 setfarbe     Stellt die Farbe ein fr zeig,loesch,lese,box    
 zeig         Positionierte Ausgabe auf dem Bildschirm         
 lese         Positioniertes Einlesen einer Variable           
 loesch       Ganzer Bildschirm oder Ausschnitt lschen        
 sbild        Bildschirm in eine Variable sichern              
 rbild        Bildschirm aus einer Var. wieder herstellen      
 attribut     Wechselt die Farbe am Bildschirm                 
 box          Zeichnet eine Box an die angegebenen Koordin.    
 pause        Wartet auf einen Tastendruck                     
 iftaste      Abfrage der letzten Taste von PAUSE und LESE     
 piep         Erzeugt einen Piepton                            
ͼ
|
ͻ
 Syntaxbeschreibung:                                            
Ķ
 lauf<Return>                                                   
 drucke "String";<Return>                                       
 drucke Variable;<Return>                                       
 setze  Variable1 = Variable2;<Return>                          
 setze  Variable = (Formel);<Return>                            
 wenn   (Bedingung)<Return>                                     
        (Dann-Zweig)<Return>                                    
        (Sonst-Zweig)<Return>                                   
 gehezu Zeilennummer<Return>                                    
 ende<Return>                                                   
 merke  Kommentar<Return>                                       
 liste<Return>                                                  
 neu<Return>                                                    
 lade      "Filename.Extension"<Return>                         
 speichere "Filename.Extension"<Return>                         
 verlasse<Return>                                               
ͼ
|
<hilfe>
ͻ
 Syntaxbeschreibung: HILFE                                      
Ķ
                                                                
 hilfe<Return>           Zeigt die gesammte Hilfe an.           
                                                                
 hilfe BEFEHL<Return>                                           
 BEFEHL<F1>              Zeigt die Hilfe zum angegebenen Befehl 
 F1                                                             
                                                                
 Hilfetext erweitern oder ndern :                              
                                                                
     Der gesammte Hilfetext ist in der Datei "hilfe.txl"        
     gespeichert.                                               
     Die einzelnen Bildschirmseiten sind durch das Zeichen 124  
     voneinander abgetrennt.                                    
     Um einen Befehl in den SUCH-INDEX aufzunehmen,             
     reicht es, den gewnschten Befehl nach einem Seitenzeichen 
     zwischen die Zeichen '<' und '>' zu schreiben.   <neubef>  
                                                                
ͼ
|
<dos>
ͻ
 Syntaxbeschreibung: DOS                                        
Ķ
                                                                
 dos<Return>             Dos-Shell                              
                                                                
 dos "BEFEHL"<return>    Dosbefehl ausfhren                    
                                                                
ͼ
|
<setfarbe>
ͻ
 Syntaxbeschreibung: SETFARBE                                   
Ķ
                                                                
 setfarbe  n1  n2<Return>     Bildschirmfarbe einstellen fr    
                              zeig, loesch und lese             
                                                                
           n1    : Vordergrund                                  
           n2    : Hintergrund                                  
                                                                
     Farben :                                                   
     --------                                                   
     0 schwarz                                                  
     1 blau                                                     
     2 grn                                                     
     3 trkis                                                   
     4 rot                                                      
     5 lila                                                     
     6 braun                                                    
     7 weiss                                                    
ͼ
|
<zeig>
ͻ
 Syntaxbeschreibung: ZEIG                                       
Ķ
                                                                
 zeig  n1  n2  "String"<Return>            Positionierte        
 zeig  n1  n2  Variable "MASKE"<Return>    Bildschirmausgabe.   
                                                                
       n1        : Zeile    ( 0-24 )                            
       n2        : Spalte   ( 0-79 )                            
       "String"  : Ausgabetext                                  
       Variable  : Ausgabevariable                              
       MASKE     : Ausgabemaske ist nur bei Var-Ausgabe aktiv ! 
                                                                
                   "99999999"      Zahlen                       
                   "99999.99"      Dezimalzahl                  
                   "XXXXXXXX"      String                       
                                                                
 Siehe auch  <SETFARBE>                                         
ͼ
|
<lese>
ͻ
 Syntaxbeschreibung: LESE                           1. Seite    
Ķ
                                                                
 lese  n1  n2   Variable  "MASKE"<return> Einlesen einer        
                                          Variable.             
       n1         : Zeile  ( 0-24 )                             
       n2         : Spalte ( 0-79 )                             
       Variable   : Variable, die eingelesen wird               
       MASKE      : Siehe nchste Seite                         
                   "9999"          Integer einlesen             
                   "9.99"          Dezimalzahl einlesen         
                   "XXXX"          String                       
                   "DD.DD.DDDD"    Datum                        
                                                                
       Mit diesen Tasten wird LESE beendet :                    
                   Return, ESC, Pfeiltasten rauf runter,        
                   Seite auf ab, alle Funktionstasten.          
                                                                
 Siehe auch  <SETFARBE> <IFTASTE>  <nchste Seite>              
< weiter >ͼ
|
ͻ
 Syntaxbeschreibung: LESE                           2. Seite    
Ķ
                                                                
       MASKE :  "99999999"      Zahlen            -1234567890   
                "99999.99"      Dezimalzahl       -.1234567890  
                "XXXXXXXX"      String            Alle Zeichen  
                "DD.DD.DD"      Datum             TT.MM.JJ      
                "DD.DD.DDDD"                      TT.MM.JJJJ    
                                                                
      Jedes Maskenzeichen ergibt eine Eingabestelle.            
                                                                
                                                                
      Sezial :  "@X"  = Maske wird automatisch    Alle Zeichen  
                        auf Stringlnge erstellt.               
                                                                
                "@D"  = Maske wird automatisch    TT.MM.JJJJ    
                        auf Datumfeld erstellt.                 
                                                                
 Siehe auch  <SETFARBE> <IFTASTE>  <vorherige Seite>            
ͼ
|
<loesch>
ͻ
 Syntaxbeschreibung: LOESCH                                     
Ķ
                                                                
 loesch ;<Return>                 Lscht den ganzen Bildschirm  
 loesch  n1  n2  n3  n4 <Return>  Lscht einen Ausschnitt       
                                  auf dem Bildschirm            
                                                                
         n1   :  obere Zeile    ( 0-24 )                        
         n2   :  linke Spalte   ( 0-79 )                        
         n3   :  untere Zeile   ( 0-24 )                        
         n4   :  rechte Spalte  ( 0-79 )                        
                                                                
 Bsp.                                                           
                                                                
         loesch 10 5 20 40<Return>                              
                                                                
                                                                
 Siehe auch  <SETFARBE>                                         
ͼ
|
<sbild>
ͻ
 Syntaxbeschreibung: SBILD    (Im ANSI-Modus nicht aktiv !)     
Ķ
                                                                
 sbild  n1  n2  n3  n4  Str-Var<Return>  Sichert den Bildschirm 
                                         des angegebenen        
                                         Fensters in Variable.  
                                                                
         n1      :  obere Zeile    ( 0-24 )                     
         n2      :  linke Spalte   ( 0-79 )                     
         n3      :  untere Zeile   ( 0-24 )                     
         n4      :  rechte Spalte  ( 0-79 )                     
         Str-Var :  Variable vom Type STRING                    
 Bsp.                                                           
                                                                
         sbild  10 5 20 40 screen<Return>                       
                                                                
                                                                
 Siehe auch  <RBILD>                                            
ͼ
|
<rbild>
ͻ
 Syntaxbeschreibung: RBILD    (Im ANSI-Modus nicht aktiv !)     
Ķ
                                                                
 rbild  n1  n2  n3  n4  Str-Var<Return>  Stellt den Bildschirm  
                                         aus einer Variablen    
                                         wieder her.            
                                                                
         n1      :  obere Zeile    ( 0-24 )                     
         n2      :  linke Spalte   ( 0-79 )                     
         n3      :  untere Zeile   ( 0-24 )                     
         n4      :  rechte Spalte  ( 0-79 )                     
         Str-Var :  Variable vom Type STRING                    
 Bsp.                                                           
                                                                
         rbild  10 5 20 40 screen<Return>                       
                                                                
                                                                
 Siehe auch  <SBILD>                                            
ͼ
|
<attribut>
ͻ
 Syntaxbeschreibung: ATTRIBUT (Im ANSI-Modus nicht aktiv !)     
Ķ
                                                                
 attribut  n1  n2  n3  n4  v  h<Return>  Stellt die Bildschirm- 
                                         farbe im angegebenen   
                                         Fenster um.            
                                         Die Zeichen auf den    
                                         Bildschirm werden      
                                         nicht verndert.       
                                                                
         n1      :  obere Zeile      ( 0-24 )                   
         n2      :  linke Spalte     ( 0-79 )                   
         n3      :  untere Zeile     ( 0-24 )                   
         n4      :  rechte Spalte    ( 0-79 )                   
         v       :  Vordergrundfarbe ( 0-7 )    (Farbtabelle    
         h       :  Hintergrundfarbe ( 0-7 )     bei SETFARBE)  
                                                                
 Siehe auch  <SETFARBE>                                         
ͼ
|
<box>
ͻ
 Syntaxbeschreibung: BOX                                        
Ķ
                                                                
 box    n1  n2  n3  n4 "Box-Str"<Return>  Zeichnet eine Box     
                                          an die angegebenen    
                                          Koordinaten.          
                                                                
         n1        :  obere Zeile    ( 0-24 )                   
         n2        :  linke Spalte   ( 0-79 )                   
         n3        :  untere Zeile   ( 0-24 )                   
         n4        :  rechte Spalte  ( 0-79 )                   
         "Box-Str" :  Variable vom Type STRING                  
                                                                
         Boxstring "12345678#"  ergibt    12222223              
                                          4######8              
                                          4######8              
         "ͻȺ "                      76666665              
                                                                
 Siehe auch  <SETFARBE>                                         
ͼ
|
<pause>
ͻ
 Syntaxbeschreibung:  PAUSE                                     
Ķ
                                                                
 pause<Return>          Das Programm wartet auf einen Tasten-   
                        druck.                                  
                                                                
 Siehe auch  <IFTASTE>                                          
ͼ
|
<iftaste>
ͻ
 Syntaxbeschreibung: IFTASTE                                    
Ķ
                                                                
 iftaste TASTENWERT<Return>       Fragt den Tastenwert ab,      
         (Dann-Zweig)<Return>     mit dem die Funktion          
         (Sonst-Zweig)<Return>    PAUSE oder LESE verlassen     
                                  wurde.                        
                                                                
         Tasten-Tabelle auf der nchsten Seite !                
                                                                
 Siehe auch  <PAUSE>  <LESE>      < nchste Seite >             
ͼ
|
ͻ
 Tastenwert-Tabelle  fr IFTASTE                                
Ķ
      Normal      Shift        Ctrl         Alt                 
      ------      -----        ----         ---                 
      F1  9059    SF1  9084    CF1  9094    AF1  9104           
      F2  9060    SF2  9085    CF2  9095    AF2  9105           
      F3  9061    SF3  9086    CF3  9096    AF3  9106           
      F4  9062    SF4  9087    CF4  9097    AF4  9107           
      F5  9063    SF5  9088    CF5  9098    AF5  9108           
      F6  9064    SF6  9089    CF6  9099    AF6  9109           
      F7  9065    SF7  9090    CF7  9100    AF7  9110           
      F8  9066    SF8  9091    CF8  9101    AF8  9111           
      F9  9067    SF9  9092    CF9  9102    AF9  9112           
      F10 9068    SF10 9093    CF10 9103    AF10 9113           
                                                                
         Escape        9027    Page up       9073               
         Return        9013    Page down     9081               
         Pfeilrunter   9080    Pfeilrauf     9072               
                                                                
ͼ
|
<info>
ͻ
    TXL, die "toolbox language",  ist ein nach allen Seiten     
    offenes Interpreterkonzept fr PC und Atari-ST.             
    Jedem C-Programmierer wird es damit mglich, sich seine     
    eigene Sprache zu gestalten.                                
    Neben der Verwendung der TXL fr Schulungszwecke lassen     
    sich auch hervorragend  rechnerunabhngige  Anwendungen     
    realisieren.   Einzige  Voraussetzung  ist  ein  ANSI-C     
    Compiler.                                                   
    Das Grundgerst fr den TXL-Interpreter  wurde  in  der     
    Zeitschrift toolbox, Heft 9/10'1990 vorgestellt.            
    Wesentliche Erweiterungen  sowie  eine  Windows-Version     
    wurden im Rahmen eines Wettbewerbs in der toolbox 04'91     
    verffentlicht.                                             
    Bezogen werden kann der aktuelle  Grundinterpreter  als     
    toolbox-Special 20.                                         
    Bestellungen richten sie bitte an den DMV-Verlag            
                                          Postfach 250          
                                          3440 Eschwege         
                                                                
ͼ
