/* intglob.c
Dieses File enthlt alle Globalvariablen des Interpreters.
(c) 1990 Michael Beising & TOOLBOX
*/

#include	<stdio.h>
#include	<stdlib.h>
#include	"interp.h"


/*	Initialisieren der Befehlsvergleichsliste */

TOKBEF	TokBefDesc[] = {
/*    Funktion  Bef.-Name	 Para-Count		CopyRest */
	{ crun,		"lauf"		,	0,			0},
	{ cdruck,	"drucke"	,	0,			1},
	{ cset,		"setze"		,	3,			1},
	{ cif,		"wenn"		,	2,			1},
	{ cload,	"lade"		,	1,			1},
	{ csave,	"speichere"	,	1,			1},
	{ cgoto,	"gehezu"	,	1,			0},
	{ cende,	"ende"		,	0,			0},
	{ cexit,	"verlasse"	,	0,			0},
	{ cmerke,       "merke"         ,       0,                      1},
	{ clist,        "liste"         ,       0,                      1},
	{ cneu,         "neu"           ,       0,                      0},
/*    NEUE BEFEHLE    */
	{ cinfo,        "info"          ,       0,                      0},
	{ cpiep,        "piep"          ,       0,                      0},
	{ cgerald,      "gerald"        ,       0,                      0},
	{ chilfe,       "hilfe"         ,       1,                      1},
	{ czeig,        "zeig"          ,       4,                      1},
	{ csetfarbe,    "setfarbe"      ,       2,                      1},
	{ cloesch,      "loesch"        ,       4,                      1},
	{ cpause,       "pause"         ,       0,                      0},
	{ cdos,         "dos"           ,       1,                      1},
	{ csbild,       "sbild"         ,       5,                      1},
	{ crbild,       "rbild"         ,       5,                      1},
	{ clese,        "lese"          ,       4,                      1},
	{ ciftaste,     "iftaste"       ,       1,                      1},
	{ cbox,		"box"		,	5,			1},
	{ cattribut,	"attribut"	,	6,			1},
	{ NULL,         NULL            ,       0,                      0}
};

/* Globale Variable des Interpreters */
int			IntError;		/* Interpreterfehler ist aufgetreten. */

PRGZEILE	*FirstLine;		/* erste Interpreterzeile */
PRGZEILE	*LastLine;		/* letzte Interpreterzeile */
PRGZEILE	*ActLine;		/* aktuelle interpretierte Zeile */
char		*LinePos;		/* Zeilenposition der aktuellen Zeile*/

int			Steuer;			/* Scanner-Ergebnis */
char		ScanBuffer[ZEILENLAENGE]; /* Ergebnis des Scanners */

VAR		*FirstVar = NULL;	/* Zeiger auf die erste Variable */

char	FileName[FNAMLEN];	/* Zwischenspeicher fr den Filenamen */

/* Ende des Files INTGLOB.C */
