       IDENTIFICATION DIVISION .
       PROGRAM-ID . UPCASE .
       ENVIRONMENT DIVISION .
       INPUT-OUTPUT SECTION .
       FILE-CONTROL .
           SELECT EINGABE ASSIGN TO EXTERNAL EINGABE
                         ORGANIZATION LINE SEQUENTIAL
                         ACCESS SEQUENTIAL .
           SELECT AUSGABE ASSIGN TO EXTERNAL AUSGABE
                         ORGANIZATION LINE SEQUENTIAL
                         ACCESS SEQUENTIAL .
       DATA DIVISION .
       FD EINGABE RECORD IS VARYING FROM 0 TO 80  .
       01 EINGABE-RC .
          05 FILLER PIC X(80) .
       FD AUSGABE .
       01 AUSGABE-RC .
          05 FILLER PIC X(80) .
       WORKING-STORAGE SECTION .
       01 DATEINAME-AUSGABE PIC X(14) VALUE SPACE .
       01 DATEINAME-EINGABE PIC X(14) VALUE SPACE .
       01 EINGABE-NAME PIC X(8) VALUE SPACE .
       01 AUSGABE-NAME PIC X(8) VALUE SPACE .
       01 DATEIENDE-EINGABE PIC 9 VALUE 0 .
       01 JA PIC 9 VALUE 1 .
       01 NEIN PIC 9 VALUE 0 .
       PROCEDURE DIVISION .
       ACTION SECTION .
       HAUPT .
           OPEN INPUT EINGABE
           OPEN OUTPUT AUSGABE
           READ EINGABE
              AT END
                 MOVE JA TO DATEIENDE-EINGABE
           END-READ
           PERFORM DATEIUMSETZEN UNTIL DATEIENDE-EINGABE = JA
           CLOSE EINGABE
           CLOSE AUSGABE
           STOP RUN .
       DATEIUMSETZEN .
           MOVE EINGABE-RC TO AUSGABE-RC
           INSPECT AUSGABE-RC CONVERTING
                              "ABCDEFGHIJKLMNOPQRSTUVWXYZ"
                              TO
                              "ABCDEFGHIJKLMNOPQRSTUVWXYZ"
           DISPLAY EINGABE-RC
           DISPLAY AUSGABE-RC
           WRITE AUSGABE-RC
           READ EINGABE
              AT END
                 MOVE JA TO DATEIENDE-EINGABE
           END-READ .
