/* intglob.c
Dieses File enthlt alle Globalvariablen des Interpreters.
(c) 1990 Michael Beising & TOOLBOX
*/

#include	<stdio.h>
#include	<stdlib.h>
#include	"interp.h"


/*	Initialisieren der Befehlsvergleichsliste */

TOKBEF	TokBefDesc[] = {
/*    Funktion  Bef.-Name	 Para-Count		CopyRest */
	{ crun,		"lauf"	    ,	0,			0},
	{ cdruck,	"drucke"	,	0,			1},
	{ cset,		"setze"		,	3,			1},
	{ cif,		"wenn"		,	2,			1},
	{ cload,	"lade"		,	1,			1},
	{ csave,	"speichere"	,	1,			1},
	{ cgoto,	"gehezu"	,	1,			0},
	{ cende,	"ende"		,	0,			0},
	{ cexit,	"verlasse"	,	0,			0},
	{ cmerke,	"merke"		,   0,  		1},
	{ clist,	"liste"	    ,   0,  		1},
	{ cneu,		"neu"		,   0,  		0},
	{ ctrcon,   "verfolge"  ,   0,          0},
	{ ctrcoff,  "folgenicht",   0,          0},
	{ cwdog,    "wachhund"  ,   0,          0},
	{ creadvar, "lese"      ,   1,          1},
	{ ccopy,    "kopiere"   ,   3,          1},
	{ cins,     "einfuegen" ,   3,          1},
	{ cdel,     "loesche"   ,   3,          1},
	{ NULL,		NULL		,	0,			0}
};

/* Globale Variable des Interpreters */
int			IntError;		/* Interpreterfehler ist aufgetreten. */

PRGZEILE	*FirstLine;		/* erste Interpreterzeile */
PRGZEILE	*LastLine;		/* letzte Interpreterzeile */
PRGZEILE	*ActLine;		/* aktuelle interpretierte Zeile */
char		*LinePos;		/* Zeilenposition der aktuellen Zeile*/

int			Steuer;			/* Scanner-Ergebnis */
char		ScanBuffer[ZEILENLAENGE]; /* Ergebnis des Scanners */

VAR		*FirstVar = NULL;	/* Zeiger auf die erste Variable */

char	FileName[FNAMLEN];	/* Zwischenspeicher fr den Filenamen */

int traceFlag;              /* Trace On/Off */

/* Ende des Files INTGLOB.C */
